cutting in 3D

hi all,
whats the best command to use when trying to cut one object with another,
where the point at which they join is a bit too complex to use 'slice'? I
have had good success using 'subtract' but then one of my solids is gone.
is there a similar command that will slice one solid where it meets a second
solid, but leave them as seperate entities?
Thanks,
Shaun
Reply to
Shaun Van Poecke
Loading thread data ...
Continue to use subtract - just make a copy of the object and subtract a solid from both sides of the cut line, one then the other copy.
Reply to
Patrick Hughes
depending on the geometry, I sometimes find making a copy and doing intersection interesting too.
Reply to
roy
you can do many slices, keeping both sides of the slices, then erase what you wish & union the rest back together!
Reply to
longshot
INTERFERENCE
This create a THIRD composite 3D solid from the common volume of two or more solids.
hi all, whats the best command to use when trying to cut one object with another, where the point at which they join is a bit too complex to use 'slice'? I have had good success using 'subtract' but then one of my solids is gone. is there a similar command that will slice one solid where it meets a second solid, but leave them as seperate entities?
Thanks, Shaun
Reply to
Mason
INTERFERENCE
This create a THIRD composite 3D solid from the common volume of two or more solids.
hi all, whats the best command to use when trying to cut one object with another, where the point at which they join is a bit too complex to use 'slice'? I have had good success using 'subtract' but then one of my solids is gone. is there a similar command that will slice one solid where it meets a second solid, but leave them as seperate entities?
Thanks, Shaun
Reply to
clip
INTERFERENCE
This create a THIRD composite 3D solid from the common volume of two or more solids.
hi all, whats the best command to use when trying to cut one object with another, where the point at which they join is a bit too complex to use 'slice'? I have had good success using 'subtract' but then one of my solids is gone. is there a similar command that will slice one solid where it meets a second solid, but leave them as seperate entities?
Thanks, Shaun
Reply to
Mason
Ive had a bit of a go at the various methods suggested, but the best i can come up with so far is still to subtract. what i do is make a copy of the object i will subtract, move it, say 500 away in the x plane for example, then subtract, then move the caopy bak in to take the place of the solid that was lost by subtraction. This works, but like most of my cad work, its not elegant in the least!
Thanks all, Shaun
Reply to
Shaun Van Poecke
Eliminate a couple of steps by not moving the copy -- just subtract the original and the copy is right there. Here is a brief LISP I use to copy things in place:
(defun c:c0 () ;copy in place -- that's C-ZERO, not C-OH (prompt "Select objects to copy @0,0: ") (command "select" pause) (command "copy" "p" "" "0,0" "0,0") )
-Bill
===========
Shaun Van Poecke wrote:
Reply to
Bill Gilliss

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.